Index: libcfa/src/fstream.cfa
===================================================================
--- libcfa/src/fstream.cfa	(revision ecfd7589e4796949fcc35b475a024d4acda6e636)
+++ libcfa/src/fstream.cfa	(revision 1d5deea31c4bdc4e4ba56ce96548481163dda40b)
@@ -10,6 +10,6 @@
 // Created On       : Wed May 27 17:56:53 2015
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Mon Mar  1 21:12:15 2021
-// Update Count     : 424
+// Last Modified On : Tue Apr 20 19:04:46 2021
+// Update Count     : 425
 //
 
@@ -31,12 +31,12 @@
 
 void ?{}( ofstream & os, void * file ) {
-	os.$file = file;
-	os.$sepDefault = true;
-	os.$sepOnOff = false;
-	os.$nlOnOff = true;
-	os.$prt = false;
-	os.$sawNL = false;
-	os.$acquired = false;
-	$sepSetCur( os, sepGet( os ) );
+	os.file$ = file;
+	os.sepDefault$ = true;
+	os.sepOnOff$ = false;
+	os.nlOnOff$ = true;
+	os.prt$ = false;
+	os.sawNL$ = false;
+	os.acquired$ = false;
+	sepSetCur$( os, sepGet( os ) );
 	sepSet( os, " " );
 	sepSetTuple( os, ", " );
@@ -44,17 +44,17 @@
 
 // private
-bool $sepPrt( ofstream & os ) { $setNL( os, false ); return os.$sepOnOff; }
-void $sepReset( ofstream & os ) { os.$sepOnOff = os.$sepDefault; }
-void $sepReset( ofstream & os, bool reset ) { os.$sepDefault = reset; os.$sepOnOff = os.$sepDefault; }
-const char * $sepGetCur( ofstream & os ) { return os.$sepCur; }
-void $sepSetCur( ofstream & os, const char sepCur[] ) { os.$sepCur = sepCur; }
-bool $getNL( ofstream & os ) { return os.$sawNL; }
-void $setNL( ofstream & os, bool state ) { os.$sawNL = state; }
-bool $getANL( ofstream & os ) { return os.$nlOnOff; }
-bool $getPrt( ofstream & os ) { return os.$prt; }
-void $setPrt( ofstream & os, bool state ) { os.$prt = state; }
+bool sepPrt$( ofstream & os ) { setNL$( os, false ); return os.sepOnOff$; }
+void sepReset$( ofstream & os ) { os.sepOnOff$ = os.sepDefault$; }
+void sepReset$( ofstream & os, bool reset ) { os.sepDefault$ = reset; os.sepOnOff$ = os.sepDefault$; }
+const char * sepGetCur$( ofstream & os ) { return os.sepCur$; }
+void sepSetCur$( ofstream & os, const char sepCur[] ) { os.sepCur$ = sepCur; }
+bool getNL$( ofstream & os ) { return os.sawNL$; }
+void setNL$( ofstream & os, bool state ) { os.sawNL$ = state; }
+bool getANL$( ofstream & os ) { return os.nlOnOff$; }
+bool getPrt$( ofstream & os ) { return os.prt$; }
+void setPrt$( ofstream & os, bool state ) { os.prt$ = state; }
 
 // public
-void ?{}( ofstream & os ) { os.$file = 0p; }
+void ?{}( ofstream & os ) { os.file$ = 0p; }
 
 void ?{}( ofstream & os, const char name[], const char mode[] ) {
@@ -70,52 +70,52 @@
 } // ^?{}
 
-void sepOn( ofstream & os ) { os.$sepOnOff = ! $getNL( os ); }
-void sepOff( ofstream & os ) { os.$sepOnOff = false; }
+void sepOn( ofstream & os ) { os.sepOnOff$ = ! getNL$( os ); }
+void sepOff( ofstream & os ) { os.sepOnOff$ = false; }
 
 bool sepDisable( ofstream & os ) {
-	bool temp = os.$sepDefault;
-	os.$sepDefault = false;
-	$sepReset( os );
+	bool temp = os.sepDefault$;
+	os.sepDefault$ = false;
+	sepReset$( os );
 	return temp;
 } // sepDisable
 
 bool sepEnable( ofstream & os ) {
-	bool temp = os.$sepDefault;
-	os.$sepDefault = true;
-	if ( os.$sepOnOff ) $sepReset( os );				// start of line ?
+	bool temp = os.sepDefault$;
+	os.sepDefault$ = true;
+	if ( os.sepOnOff$ ) sepReset$( os );				// start of line ?
 	return temp;
 } // sepEnable
 
-void nlOn( ofstream & os ) { os.$nlOnOff = true; }
-void nlOff( ofstream & os ) { os.$nlOnOff = false; }
-
-const char * sepGet( ofstream & os ) { return os.$separator; }
+void nlOn( ofstream & os ) { os.nlOnOff$ = true; }
+void nlOff( ofstream & os ) { os.nlOnOff$ = false; }
+
+const char * sepGet( ofstream & os ) { return os.separator$; }
 void sepSet( ofstream & os, const char s[] ) {
 	assert( s );
-	strncpy( os.$separator, s, sepSize - 1 );
-	os.$separator[sepSize - 1] = '\0';
+	strncpy( os.separator$, s, sepSize - 1 );
+	os.separator$[sepSize - 1] = '\0';
 } // sepSet
 
-const char * sepGetTuple( ofstream & os ) { return os.$tupleSeparator; }
+const char * sepGetTuple( ofstream & os ) { return os.tupleSeparator$; }
 void sepSetTuple( ofstream & os, const char s[] ) {
 	assert( s );
-	strncpy( os.$tupleSeparator, s, sepSize - 1 );
-	os.$tupleSeparator[sepSize - 1] = '\0';
+	strncpy( os.tupleSeparator$, s, sepSize - 1 );
+	os.tupleSeparator$[sepSize - 1] = '\0';
 } // sepSet
 
 void ends( ofstream & os ) {
-	if ( $getANL( os ) ) nl( os );
-	else $setPrt( os, false );							// turn off
+	if ( getANL$( os ) ) nl( os );
+	else setPrt$( os, false );							// turn off
 	if ( &os == &exit ) exit( EXIT_FAILURE );
 	if ( &os == &abort ) abort();
-	if ( os.$acquired ) { os.$acquired = false; release( os ); }
+	if ( os.acquired$ ) { os.acquired$ = false; release( os ); }
 } // ends
 
 int fail( ofstream & os ) {
-	return os.$file == 0 || ferror( (FILE *)(os.$file) );
+	return os.file$ == 0 || ferror( (FILE *)(os.file$) );
 } // fail
 
 int flush( ofstream & os ) {
-	return fflush( (FILE *)(os.$file) );
+	return fflush( (FILE *)(os.file$) );
 } // flush
 
@@ -136,11 +136,11 @@
 
 void close( ofstream & os ) {
-  if ( (FILE *)(os.$file) == 0p ) return;
-  if ( (FILE *)(os.$file) == (FILE *)stdout || (FILE *)(os.$file) == (FILE *)stderr ) return;
-
-	if ( fclose( (FILE *)(os.$file) ) == EOF ) {
+  if ( (FILE *)(os.file$) == 0p ) return;
+  if ( (FILE *)(os.file$) == (FILE *)stdout || (FILE *)(os.file$) == (FILE *)stderr ) return;
+
+	if ( fclose( (FILE *)(os.file$) ) == EOF ) {
 		abort | IO_MSG "close output" | nl | strerror( errno );
 	} // if
-	os.$file = 0p;
+	os.file$ = 0p;
 } // close
 
@@ -150,5 +150,5 @@
 	} // if
 
-	if ( fwrite( data, 1, size, (FILE *)(os.$file) ) != size ) {
+	if ( fwrite( data, 1, size, (FILE *)(os.file$) ) != size ) {
 		abort | IO_MSG "write" | nl | strerror( errno );
 	} // if
@@ -159,7 +159,7 @@
 	va_list args;
 	va_start( args, format );
-	int len = vfprintf( (FILE *)(os.$file), format, args );
+	int len = vfprintf( (FILE *)(os.file$), format, args );
 	if ( len == EOF ) {
-		if ( ferror( (FILE *)(os.$file) ) ) {
+		if ( ferror( (FILE *)(os.file$) ) ) {
 			abort | IO_MSG "invalid write";
 		} // if
@@ -167,20 +167,20 @@
 	va_end( args );
 
-	$setPrt( os, true );								// called in output cascade
-	$sepReset( os );									// reset separator
+	setPrt$( os, true );								// called in output cascade
+	sepReset$( os );									// reset separator
 	return len;
 } // fmt
 
 inline void acquire( ofstream & os ) {
-	lock( os.$lock );
-	if ( ! os.$acquired ) os.$acquired = true;
-	else unlock( os.$lock );
+	lock( os.lock$ );
+	if ( ! os.acquired$ ) os.acquired$ = true;
+	else unlock( os.lock$ );
 } // acquire
 
 inline void release( ofstream & os ) {
-	unlock( os.$lock );
+	unlock( os.lock$ );
 } // release
 
-void ?{}( osacquire & acq, ofstream & os ) { &acq.os = &os; lock( os.$lock ); }
+void ?{}( osacquire & acq, ofstream & os ) { &acq.os = &os; lock( os.lock$ ); }
 void ^?{}( osacquire & acq ) { release( acq.os ); }
 
@@ -204,11 +204,11 @@
 // private
 void ?{}( ifstream & is, void * file ) {
-	is.$file = file;
-	is.$nlOnOff = false;
-	is.$acquired = false;
+	is.file$ = file;
+	is.nlOnOff$ = false;
+	is.acquired$ = false;
 } // ?{}
 
 // public
-void ?{}( ifstream & is ) { is.$file = 0p; }
+void ?{}( ifstream & is ) { is.file$ = 0p; }
 
 void ?{}( ifstream & is, const char name[], const char mode[] ) {
@@ -224,18 +224,18 @@
 } // ^?{}
 
-void nlOn( ifstream & os ) { os.$nlOnOff = true; }
-void nlOff( ifstream & os ) { os.$nlOnOff = false; }
-bool getANL( ifstream & os ) { return os.$nlOnOff; }
+void nlOn( ifstream & os ) { os.nlOnOff$ = true; }
+void nlOff( ifstream & os ) { os.nlOnOff$ = false; }
+bool getANL( ifstream & os ) { return os.nlOnOff$; }
 
 int fail( ifstream & is ) {
-	return is.$file == 0p || ferror( (FILE *)(is.$file) );
+	return is.file$ == 0p || ferror( (FILE *)(is.file$) );
 } // fail
 
 void ends( ifstream & is ) {
-	if ( is.$acquired ) { is.$acquired = false; release( is ); }
+	if ( is.acquired$ ) { is.acquired$ = false; release( is ); }
 } // ends
 
 int eof( ifstream & is ) {
-	return feof( (FILE *)(is.$file) );
+	return feof( (FILE *)(is.file$) );
 } // eof
 
@@ -248,5 +248,5 @@
 	} // if
 	#endif // __CFA_DEBUG__
-	is.$file = file;
+	is.file$ = file;
 } // open
 
@@ -256,11 +256,11 @@
 
 void close( ifstream & is ) {
-  if ( (FILE *)(is.$file) == 0p ) return;
-  if ( (FILE *)(is.$file) == (FILE *)stdin ) return;
-
-	if ( fclose( (FILE *)(is.$file) ) == EOF ) {
+  if ( (FILE *)(is.file$) == 0p ) return;
+  if ( (FILE *)(is.file$) == (FILE *)stdin ) return;
+
+	if ( fclose( (FILE *)(is.file$) ) == EOF ) {
 		abort | IO_MSG "close input" | nl | strerror( errno );
 	} // if
-	is.$file = 0p;
+	is.file$ = 0p;
 } // close
 
@@ -270,5 +270,5 @@
 	} // if
 
-	if ( fread( data, size, 1, (FILE *)(is.$file) ) == 0 ) {
+	if ( fread( data, size, 1, (FILE *)(is.file$) ) == 0 ) {
 		abort | IO_MSG "read" | nl | strerror( errno );
 	} // if
@@ -281,5 +281,5 @@
 	} // if
 
-	if ( ungetc( c, (FILE *)(is.$file) ) == EOF ) {
+	if ( ungetc( c, (FILE *)(is.file$) ) == EOF ) {
 		abort | IO_MSG "ungetc" | nl | strerror( errno );
 	} // if
@@ -291,7 +291,7 @@
 
 	va_start( args, format );
-	int len = vfscanf( (FILE *)(is.$file), format, args );
+	int len = vfscanf( (FILE *)(is.file$), format, args );
 	if ( len == EOF ) {
-		if ( ferror( (FILE *)(is.$file) ) ) {
+		if ( ferror( (FILE *)(is.file$) ) ) {
 			abort | IO_MSG "invalid read";
 		} // if
@@ -302,14 +302,14 @@
 
 inline void acquire( ifstream & is ) {
-	lock( is.$lock );
-	if ( ! is.$acquired ) is.$acquired = true;
-	else unlock( is.$lock );
+	lock( is.lock$ );
+	if ( ! is.acquired$ ) is.acquired$ = true;
+	else unlock( is.lock$ );
 } // acquire
 
 inline void release( ifstream & is ) {
-	unlock( is.$lock );
+	unlock( is.lock$ );
 } // release
 
-void ?{}( isacquire & acq, ifstream & is ) { &acq.is = &is; lock( is.$lock ); }
+void ?{}( isacquire & acq, ifstream & is ) { &acq.is = &is; lock( is.lock$ ); }
 void ^?{}( isacquire & acq ) { release( acq.is ); }
 
